# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Data Structures | Public Member Functions
Net Class Reference

## Data Structures
class | Connection

## Public Member Functions
Port * | addPort (const std::string &type, unsigned idx, double x, double y, const std::string &orient)
| adds a Port to the net. More...
Wire * | addWire ()
| adds a Wire to the net. More...
void | connectTo (const std::string &instanceName, const std::string &connectorName)
| adds a connection to the net. More...
const std::vector< Net::Connection * > & | getConnections ()
| returns the list of net's connections.
const std::string & | getName () const
| returns the name of the net.
Netlist * | getNetlist ()
| returns the Netlist to which the net belongs.
const std::vector< Port * > & | getPorts ()
| returns the list of net's Port.
const std::string & | getType ()
| returns the type of the net.
const std::vector< Wire * > & | getWires ()
| returns the list of net's Wire.
bool | hasNoConnections ()
| returns true if the net has no Net::Connection.
bool | hasNoPorts ()
| returns true if net has no Port.
bool | hasNoWires ()
| returns true if net has no Wire.
bool | isExternal ()
| returns true if the net is external.
| Net (const std::string &netName, const std::string &typeName, bool, Netlist *)
| creates a new net. More...

## Detailed Description

This class describes a Net.

## Constructor & Destructor Documentation

## ◆ Net()

Net | ( | const std::string & | netName,
|  | const std::string & | typeName,
|  | bool | isExternal,
|  | Netlist * | netlist
| ) |  |

creates a new net.

Parameters

  name | the name of the net.
  type | the type of the net (LOGICAL, POWER, GROUND, ...).
  external | if true, then the net is set as external.
  netlist | the netlist to which the transistor belongs.

## Member Function Documentation

## ◆ addPort()

Port * addPort | ( | const std::string & | type,
|  | unsigned | idx,
|  | double | x,
|  | double | y,
|  | const std::string & | orient
| ) |  |

adds a Port to the net.

Parameters

  type | the type of the port.
  idx | the index of the port.
  x | the x coordinate of the port.
  y | the y coordinate of the port.
  orient | the orientation of the port.

Returns
  the newly created Port.

## ◆ addWire()

Wire * addWire | ( |  | ) |

adds a Wire to the net.

Returns
  the newly create Wire.

## ◆ connectTo()

void connectTo | ( | const std::string & | instanceName,
|  | const std::string & | connectorName
| ) |  |

adds a connection to the net.

Parameters

  instanceName | the instance's name of the Net::Connection.
  connectorName | the connector's name ot the Net::Connection.

Generated by doxygen 1.8.14 on Thu Oct 18 2018 | Return to top of page

VLSI SAPD Documentation | Copyright © 2010 - 2011 UPMC All rights reserved